package com.uas.ps.inquiry;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 获取本地配置的相关信息
 *
 * Created by hejq on 2018-01-27.
 */
@Configuration
public class AccessConfiguration {

    /**
     * 公共物料访问地址
     */
    @Value("${ps.product.url}")
    private String psProductUrl;

    /**
     * 消息中心访问地址
     */
    @Value("${ps.message.url}")
    private String psMessageUrl;

    /**
     * 账户中心地址
     */
    @Value("${sso.url}")
    private String ssoUrl;

    /**
     * 商城访问地址
     */
    @Value("${mall.url}")
    private String mallUrl;

    /**
     * 短信推送人UU
     */
    @Value("${message.senderuu}")
    private Long senderuu;

    /**
     * 短信推送人企业uU
     */
    @Value("${message.senderEnuu}")
    private Long senderEnuu;

    public Long getSenderuu() {
        return senderuu;
    }

    public void setSenderuu(Long senderuu) {
        this.senderuu = senderuu;
    }

    public Long getSenderEnuu() {
        return senderEnuu;
    }

    public void setSenderEnuu(Long senderEnuu) {
        this.senderEnuu = senderEnuu;
    }

    public String getMallUrl() {
        return mallUrl;
    }

    public void setMallUrl(String mallUrl) {
        this.mallUrl = mallUrl;
    }

    public String getPsProductUrl() {
        return psProductUrl;
    }

    public void setPsProductUrl(String psProductUrl) {
        psProductUrl = psProductUrl;
    }

    public String getPsMessageUrl() {
        return psMessageUrl;
    }

    public void setPsMessageUrl(String psMessageUrl) {
        psMessageUrl = psMessageUrl;
    }

    public String getSsoUrl() {
        return ssoUrl;
    }

    public void setSsoUrl(String ssoUrl) {
        this.ssoUrl = ssoUrl;
    }
}
