package com.uas.ps.inquiry.model;


import com.uas.ps.entity.Product;

import javax.persistence.*;
import java.util.*;

/**
 * 平台新增询价单明细（查询，用明细带出主表信息）
 *
 * @author hejq
 * @date 2018-01-17 15:46
 */
@Entity
@Table(name = "purc$puinquiryitems")
public class PurcInquiryItemInfo {

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "id_id")
	private Long id;

	/**
	 * 序号
	 */
	@Column(name = "id_number")
	private Short number;

	/**
	 * 询价单
	 */
	@ManyToOne(cascade = CascadeType.ALL, optional = true)
	@JoinColumn(name = "id_inid", nullable = false)
	private PurcInquiryInfo inquiry;

	/**
	 * 买家采购员UU
	 */
	@Column(name = "id_useruu")
	private Long userUU;

	/**
	 * 联系人姓名
	 */
	@Column(name = "id_username")
	private String userName;

	/**
	 * 联系人电话
	 */
	@Column(name = "id_usertel")
	private String userTel;

	/**
	 * 产品id
	 */
	@Column(name = "id_prid")
	private Long productId;

	/**
	 * 产品
	 */
	@Transient
	private Product product;

	/**
	 * ************* 上传的物料信息，因为可能是手动输入的，物料款不存在，需要先进行保存物料 *************
	 */
	/**
	 * 物料编号
	 */
	@Column(name = "id_prodcode")
	private String prodCode;

	/**
	 * 名称
	 */
	@Column(name = "id_prodtitle")
	private String prodTitle;

	/**
	 * 规格
	 */
	@Column(name = "id_prodspec")
	private String spec;

	/**
	 * 型号
	 */
	@Column(name = "id_cmpcode")
	private String cmpCode;

	/**
	 * 品牌
	 */
	@Column(name = "id_inbrand")
	private String inbrand;
	/**
	 * ******end*******
	 */

	/**
	 * 币种
	 */
	@Column(name = "id_currency")
	private String currency;

	/**
	 * 税率
	 */
	@Column(name = "id_taxrate")
	private Float taxrate;

	/**
	 * （买家预先提供的）有效期始
	 */
	@Column(name = "id_fromdate")
	private Date fromDate;

	/**
	 * {未回复、已回复}
	 */
	@Column(name = "id_status")
	private Short status;

	/**
	 * 1已过期 0 未过期
	 * 
	 */
	@Column(name = "id_overdue")
	private Short overdue;

	/**
	 * 来源ERP或B2B
	 */
	@Column(name = "id_source")
	private String source;

	/**
	 * 需求数量
	 */
	@Column(name = "id_needquantity")
	private Double needquantity;

	/**
	 * 来源id，可能是ERP同步过来的单据
	 */
	@Column(name = "id_sourceid")
	private Long sourceid;

    /**
     * 单据日期，索引过滤需要
     */
	@Column(name = "id_date")
    private Date date;

	/**
	 * 发布询价企业uu
	 */
	@Column(name = "id_enuu")
	private Long enuu;

    /**
     * 截止时间
     */
    @Column(name = "id_enddate")
    private Date endDate;

    /**
     * 剩余时间
     */
    @Transient
    private Long remainingTime;

    /**
     * 物料报价数量（记录多少人或企业对该物料进行报价）
     */
    @Column(name = "id_offeramount")
    private Integer offerAmount;

    /**** 针对客户，查询公共询价信息时展示的相关其他需求数据 *****/
	/**
	 * 是否已报价 1、是；0、否
	 */
	@Transient
	private Short quoted;

	/**
	 * 如果已报价，记录已转报价后的明细id
	 */
	@Transient
	private Long quteId;

    /**
     * 是否已采纳 1为已采纳。  -- 修改为字段，在采纳时，设置为1，方便bom询价详情内判断状态  2018年8月14日 17:03:05  dongbw
     */
	@Column(name = "id_agreed")
    private Short agreed;
	/****** end ******/

	/**
	 * 已报价的信息，封装给商城
	 */
	@Transient
	private List<PublicInquiryItem> qutations;

	/**
	 * 登录企业对该单据的报价
	 */
	@Transient
	private PublicInquiryItem quotation;

	/**
	 * 是否有效  1有效  0 无效
	 */
	@Column(name = "id_valid", columnDefinition = "TINYINT DEFAULT 1")
	private Integer valid;

	/**
	 * 分配状态  1为已分配 0 为未分配
	 */
	@Transient
	private Short allotStatus;

	public Short getAllotStatus() {
		return allotStatus;
	}

	public void setAllotStatus(Short allotStatus) {
		this.allotStatus = allotStatus;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Short getNumber() {
		return number;
	}

	public void setNumber(Short number) {
		this.number = number;
	}

	public PurcInquiryInfo getInquiry() {
		return inquiry;
	}

	public void setInquiry(PurcInquiryInfo inquiry) {
		this.inquiry = inquiry;
	}

	public Long getUserUU() {
		return userUU;
	}

	public void setUserUU(Long userUU) {
		this.userUU = userUU;
	}

	public Long getProductId() {
		return productId;
	}

	public void setProductId(Long productId) {
		this.productId = productId;
	}

    public Product getProduct() {
		Product product = new Product();
		product.setId(this.productId);
		product.setCode(this.prodCode);
		product.setSpec(this.spec);
		product.setCmpCode(this.cmpCode);
		product.setpCmpCode(this.cmpCode);
		product.setTitle(this.prodTitle);
		product.setBrand(this.inbrand);
		product.setpBrandEn(this.inbrand);
		return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public String getCurrency() {
		return currency;
	}

	public void setCurrency(String currency) {
		this.currency = currency;
	}

	public Float getTaxrate() {
		return taxrate;
	}

	public void setTaxrate(Float taxrate) {
		this.taxrate = taxrate;
	}

	public Date getFromDate() {
		return fromDate;
	}

	public void setFromDate(Date fromDate) {
		this.fromDate = fromDate;
	}

	public Short getStatus() {
		return status;
	}

	public void setStatus(Short status) {
		this.status = status;
	}

	public Short getAgreed() {
		return agreed;
	}

	public void setAgreed(Short agreed) {
		this.agreed = agreed;
	}

	public Short getOverdue() {
		return overdue;
	}

	public void setOverdue(Short overdue) {
		this.overdue = overdue;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getProdCode() {
		return prodCode;
	}

	public void setProdCode(String prodCode) {
		this.prodCode = prodCode;
	}

	public String getProdTitle() {
		return prodTitle;
	}

	public void setProdTitle(String prodTitle) {
		this.prodTitle = prodTitle;
	}

	public String getSpec() {
		return spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public String getCmpCode() {
		return cmpCode;
	}

	public void setCmpCode(String cmpCode) {
		this.cmpCode = cmpCode;
	}

	public String getInbrand() {
		return inbrand;
	}

	public void setInbrand(String inbrand) {
		this.inbrand = inbrand;
	}

	public Double getNeedquantity() {
		return needquantity;
	}

	public void setNeedquantity(Double needquantity) {
		this.needquantity = needquantity;
	}

	public Long getSourceid() {
		return sourceid;
	}

	public void setSourceid(Long sourceid) {
		this.sourceid = sourceid;
	}

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

	public Long getEnuu() {
		return enuu;
	}

	public void setEnuu(Long enuu) {
		this.enuu = enuu;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserTel() {
		return userTel;
	}

	public void setUserTel(String userTel) {
		this.userTel = userTel;
	}

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Long getRemainingTime() {
	    if (null != endDate) {
            return endDate.getTime() - System.currentTimeMillis();
        }
        return remainingTime;
    }

    public void setRemainingTime(Long remainingTime) {
        this.remainingTime = remainingTime;
    }

    public Integer getOfferAmount() {
        return offerAmount;
    }

    public void setOfferAmount(Integer offerAmount) {
        this.offerAmount = offerAmount;
    }

    public Short getQuoted() {
        return quoted;
    }

    public void setQuoted(Short quoted) {
        this.quoted = quoted;
    }

    public Long getQuteId() {
        return quteId;
    }

    public void setQuteId(Long quteId) {
        this.quteId = quteId;
    }

	public List<PublicInquiryItem> getQutations() {
		return qutations;
	}

	public void setQutations(List<PublicInquiryItem> qutations) {
		this.qutations = qutations;
	}

	public PublicInquiryItem getQuotation() {
		return quotation;
	}

	public void setQuotation(PublicInquiryItem quotation) {
		this.quotation = quotation;
	}



	@Override
	public String toString() {
		return "PurcInquiryItemInfo{" +
				"id=" + id +
				", number=" + number +
				", inquiry=" + inquiry +
				", userUU=" + userUU +
				", userName='" + userName + '\'' +
				", userTel='" + userTel + '\'' +
				", productId=" + productId +
				", product=" + product +
				", prodCode='" + prodCode + '\'' +
				", prodTitle='" + prodTitle + '\'' +
				", spec='" + spec + '\'' +
				", cmpCode='" + cmpCode + '\'' +
				", inbrand='" + inbrand + '\'' +
				", currency='" + currency + '\'' +
				", taxrate=" + taxrate +
				", fromDate=" + fromDate +
				", status=" + status +
				", overdue=" + overdue +
				", source='" + source + '\'' +
				", needquantity=" + needquantity +
				", sourceid=" + sourceid +
				", date=" + date +
				", enuu=" + enuu +
				", endDate=" + endDate +
				", remainingTime=" + remainingTime +
				", offerAmount=" + offerAmount +
				", quoted=" + quoted +
				", quteId=" + quteId +
				", agreed=" + agreed +
				", qutations=" + qutations +
				", quotation=" + quotation +
				", valid=" + valid +
				", allotStatus=" + allotStatus +
				'}';
	}

	public Integer getValid() {
		return valid;
	}

	public void setValid(Integer valid) {
		this.valid = valid;
	}

}
