package com.uas.ps.inquiry.model.kind;

import com.uas.ps.inquiry.entity.Constant;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 类目关注
 *
 * @author dongbw
 * @version 2018年6月13日 15:50:23
 */
@Entity
@Table(name = "product$kind_concern")
public class KindConcern implements Serializable {

    /**
     * default serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "kc_id")
    private Long id;

    /**
     * 中文类目名称
     */
    @Column(name = "kc_name")
    private String nameCn;

    /**
     * 英文类目名称
     */
    @Column(name = "kc_name_en")
    private String nameEn;

    /**
     * 所属企业UU
     */
    @Column(name = "kc_enuu")
    private Long enUU;

    /**
     * 关注状态 (1已关注 0 未关注)
     */
    @Column(name = "kc_status")
    private Short status = 1;

    /**
     * 最近更新时间
     */
    @Column(name = "kc_date")
    private Date date;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNameCn() {
        return nameCn;
    }

    public void setNameCn(String nameCn) {
        this.nameCn = nameCn;
    }

    public String getNameEn() {
        return nameEn;
    }

    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    public Long getEnUU() {
        return enUU;
    }

    public void setEnUU(Long enUU) {
        this.enUU = enUU;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }
}
