package com.uas.ps.inquiry.page;

import java.util.Collection;

/**
 * 单据查询搜索条件
 * @author suntg
 * @since 2015年8月20日下午2:37:22
 */
public class SearchFilter {

	/**
	 * 关键词
	 */
	private String keyword;

	/**
	 * 开始日期
	 */
	private Long fromDate;

	/**
	 * 结束日期
	 */
	private Long endDate;

	/**
	 * 开始交货日期
	 */
	private Long fromDelivery;

	/**
	 * 结束交货日期
	 */
	private Long endDelivery;

	/**
	 * 开始价格
	 */
	private Double fromPrice;

	/**
	 * 结束价格
	 */
	private Double endPrice;

	/**
	 * 供应商UU
	 */
	private Long vendUU;

	/**
	 * 客户UU
	 */
	private Long enUU;

	/**
	 * 用户UU
	 */
	private Long userUU;

	/**
	 * 客户分配条件
	 */
	private Collection<?> distribute;

	/**
	 * 是否登录， 登录：1，未登录：0
	 */
	private Short isLogin;

	/**
	 * 是否返回全部实体数据，1为全部，0为部分
	 */
	private Integer isAll;

	/**
	 * 是否能报价的 1为是 0为否
	 */
	private Integer enableOffer;

	/**
	 * 是否有效 1为是 0为否
	 */
	private Integer valid;

	/**
	 * 是否已报价 1为是，0为否
	 */
	private Integer quoted;

	public Integer getEnableOffer() {
		return enableOffer;
	}

	public void setEnableOffer(Integer enableOffer) {
		this.enableOffer = enableOffer;
	}

	public Integer getIsAll() {
		return isAll;
	}

	public void setIsAll(Integer isAll) {
		this.isAll = isAll;
	}
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public Long getFromDate() {
		return fromDate;
	}
	public void setFromDate(Long fromDate) {
		this.fromDate = fromDate;
	}
	public Long getEndDate() {
		return endDate;
	}
	public void setEndDate(Long endDate) {
		this.endDate = endDate;
	}
	public Long getFromDelivery() {
		return fromDelivery;
	}
	public void setFromDelivery(Long fromDelivery) {
		this.fromDelivery = fromDelivery;
	}
	public Long getEndDelivery() {
		return endDelivery;
	}
	public void setEndDelivery(Long endDelivery) {
		this.endDelivery = endDelivery;
	}
	public Double getFromPrice() {
		return fromPrice;
	}
	public void setFromPrice(Double fromPrice) {
		this.fromPrice = fromPrice;
	}
	public Double getEndPrice() {
		return endPrice;
	}
	public void setEndPrice(Double endPrice) {
		this.endPrice = endPrice;
	}

	public Long getVendUU() {
		return vendUU;
	}

	public void setVendUU(Long vendUU) {
		this.vendUU = vendUU;
	}

	public Long getEnUU() {
		return enUU;
	}

	public void setEnUU(Long enUU) {
		this.enUU = enUU;
	}

	public Long getUserUU() {
		return userUU;
	}

	public void setUserUU(Long userUU) {
		this.userUU = userUU;
	}

	public Collection<?> getDistribute() {
		return distribute;
	}

	public void setDistribute(Collection<?> distribute) {
		this.distribute = distribute;
	}

	public Short getIsLogin() {
		return isLogin;
	}

	public void setIsLogin(Short isLogin) {
		this.isLogin = isLogin;
	}

	public Integer getValid() {
		return valid;
	}

	public void setValid(Integer valid) {
		this.valid = valid;
	}

	@Override
	public String toString() {
		return "SearchFilter{" +
				"keyword='" + keyword + '\'' +
				", fromDate=" + fromDate +
				", endDate=" + endDate +
				", fromDelivery=" + fromDelivery +
				", endDelivery=" + endDelivery +
				", fromPrice=" + fromPrice +
				", endPrice=" + endPrice +
				", vendUU=" + vendUU +
				", enUU=" + enUU +
				", userUU=" + userUU +
				", distribute=" + distribute +
				", isLogin=" + isLogin +
				", isAll=" + isAll +
				", enableOffer=" + enableOffer +
				", valid=" + valid +
				", quoted=" + quoted +
				'}';
	}

	public Integer getQuoted() {
		return quoted;
	}

	public void setQuoted(Integer quoted) {
		this.quoted = quoted;
	}
}
