package com.uas.ps.inquiry.support;

import com.uas.ps.core.logging.BufferedLogger;
import com.uas.ps.core.util.ContextUtils;
import com.uas.ps.inquiry.model.InquiryLog;
import com.uas.ps.inquiry.service.InquiryLogService;
import com.uas.ps.inquiry.util.PathUtils;

/**
 * 平台的一些基本操作的日志，查询使用
 *
 * Created by hejq on 2017-12-12.
 */
public class InquiryBufferedLogger extends BufferedLogger<InquiryLog> {

    public InquiryBufferedLogger() {
        super(PathUtils.getFilePath(), InquiryLog.class, ContextUtils.getBean(InquiryLogService.class));
    }

    /**
     * 用户操作日志
     *
     * @param title 日志名称
     * @param message 日志消息
     * @param detail 日志详情
     * @param userUU 用户UU
     * @param enUU 企业UU
     */
    public void log(String title, String message, String detail, Long userUU, Long enUU, String source) {
        log(new InquiryLog(title, message, detail, userUU, enUU, source));
    }

    /**
     * 用户操作日志
     * @param title
     * @param message
     */
    public void log(String title, String message){
        log(new InquiryLog(title,message));
    }
}
