package com.uas.ps.inquiry.util;

import com.uas.ps.inquiry.domain.IPage;
import org.springframework.data.domain.Page;

/**
 * Page<T> 与 IPage<T>转换
 * Created by hejq on 2018-01-30.
 */
public class IPageUtils {

    /**
     * 将Page<T> 转成平台封装的SPage<T>
     * @param page page信息
     * @param <T> 实体对象
     * @return
     */
    public static <T> IPage<T> covert(Page<T> page) {
        IPage<T> iPage = new IPage<T>();
        iPage.setTotalElements(page.getTotalElements());
        iPage.setSize(page.getSize());
        iPage.setNumber(page.getNumber());
        iPage.setContent(page.getContent());
        return iPage;
    }

    /**
     * 将Page<T> 转成平台封装的SPage<T>
     * @param page page信息
     * @param <T> 实体对象
     * @return
     */
    public static <T> IPage<T> covertIgnoreContent(Page<T> page) {
        IPage<T> iPage = new IPage<T>();
        iPage.setTotalElements(page.getTotalElements());
        iPage.setSize(page.getSize());
        iPage.setNumber(page.getNumber());
        return iPage;
    }
}
