package com.uas.ps.inquiry.util;

import com.alibaba.fastjson.JSON;
import com.uas.ps.core.util.ContextUtils;
import com.uas.ps.inquiry.AccessConfiguration;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.ui.ModelMap;

/**
 * 对接账户服务的接口
 *
 * @author dongbw
 * @version 2018年9月18日 17:30:07
 */
public class SsoUtils {


    private static final String SSO_URL = ContextUtils.getBean(AccessConfiguration.class).getSsoUrl();

    private static final Logger log = LoggerFactory.getLogger(SsoUtils.class);


    /**
     * 获取上周最后注册用户UU
     * @return 查询结果
     * @throws Exception http请求异常
     */
    public static ModelMap getLastWeekMaxUU() throws Exception {
        HttpUtil.Response res = HttpUtil.sendGetRequest(SSO_URL + "/api/user/maxuu/lastWeek", null);
        if (HttpStatus.OK.value() == res.getStatusCode()) {
            return JSON.parseObject(res.getResponseText(), ModelMap.class);
        } else {
            throw new RuntimeException("未获取到最近注册用户UU");
        }
    }
}
